CVE-2017-3139

NameCVE-2017-3139
DescriptionA denial of service flaw was found in the way BIND handled DNSSEC validation. A remote attacker could use this flaw to make named exit unexpectedly with an assertion failure via a specially crafted DNS response.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
bind9 (PTS)stretch1:9.10.3.dfsg.P4-12.3+deb9u6fixed
stretch (security)1:9.10.3.dfsg.P4-12.3+deb9u10fixed
buster1:9.11.5.P4+dfsg-5.1+deb10u5fixed
buster (security)1:9.11.5.P4+dfsg-5.1+deb10u6fixed
bullseye1:9.16.15-1fixed
bullseye (security)1:9.16.22-1~deb11u1fixed
bookworm1:9.17.19-3fixed
sid1:9.17.20-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bind9source(unstable)(not affected)

Notes

- bind9 <not-affected> (RHEL6 specific)

Search for package or bug name: Reporting problems